<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Admin</title>
    <link th:href="@{/css/style.css}" href="../static/css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<div class="admin-h1">
    <h1>Service Portal</h1>
    <form class="nav-link" th:action="@{/logout}" method="post">
        <input type="submit" value="Logout" class="logout-btn"/>
    </form>

</div>
<div class="admin-wrapper">
    <form action="#" th:action="@{'/admin/register'}" th:method="GET">
        <input class="add-customer-btn" type="submit" value="Add New Customer"/>
    </form>

    <div class="option-nav"><span style="margin-left: 12%">Select Customer and Car</span><span style="margin-left: 29%">Selected Services</span>
    </div>
    <div class="customer-options">
        <form action="#" method="post">
            <select id="selectCustomer" class="choice-customer">
                <option disabled selected value="">Select Customer</option>
                <option th:each="customer : ${customers}"
                        th:value="${customer.getId()}"
                        th:text="${customer.getName()}">
                </option>
            </select>
        </form>
        <form action="#">
            <select id="selectCar" class="choice-car">
                <option disabled selected value="">Select Customer Car</option>
            </select>
        </form>
    </div>
    <div class="selected-services">
        <ul class="list">
        </ul>
    </div>
    <div class = "link-holder">
    <a href="#" class="send-pdf" id="finished-the-order">Finish the order</a><br>
    <a href="#" class="send-pdf" id="download-pdf">Download PDF</a><br>
    </div>
    <div class="services-text"><span>SERVICES</span> <div class="admin-panel-price"><span id="totalPrice">Total Price: 0.00</span></div></div>
    <hr class="admin-hr">
    <div class="services-wrapper">
        <div th:each="service : ${services}" class="service-icon">
            <button type="submit" class="service-button"
                    th:value="${service.getId()}"
                    th:id="${service.getId()}"
                    th:text="${service.getName()}"></button>
        </div>
    </div>
    <div>
        <form action="#" th:action="@{'/list-all-services'}" th:method="GET">
            <input class="edit-service" type="submit" value="Service Management"/>
        </form>
    </div>

</div>
<script type="text/javascript" th:src="@{/scripts/jquery.min.js}"></script>
<script type="text/javascript" th:src="@{/scripts/main.js}"></script>
</body>
</html>